import request from '@/utils/request'

// 查询环境监测历史信息列表
export function listData(query) {
  return request({
    url: '/system/enviData/list',
    method: 'get',
    params: query
  })
}

// 查询环境监测历史信息详细
export function getData(id) {
  return request({
    url: '/system/enviData/' + id,
    method: 'get'
  })
}

// 新增环境监测历史信息
export function addData(data) {
  return request({
    url: '/system/enviData',
    method: 'post',
    data: data
  })
}

// 修改环境监测历史信息
export function updateData(data) {
  return request({
    url: '/system/enviData',
    method: 'put',
    data: data
  })
}

// 删除环境监测历史信息
export function delData(id) {
  return request({
    url: '/system/enviData/' + id,
    method: 'delete'
  })
}
